package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.IndustrialAccidentDistribution;
import com.lightinit.hsdatashow.entity.IndustrialAccidentDistributionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.AccidentDistributionModel;
import org.apache.ibatis.annotations.Param;

public interface IndustrialAccidentDistributionMapper {
    long countByExample(IndustrialAccidentDistributionExample example);

    int deleteByExample(IndustrialAccidentDistributionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(IndustrialAccidentDistribution record);

    int insertSelective(IndustrialAccidentDistribution record);

    List<IndustrialAccidentDistribution> selectByExample(IndustrialAccidentDistributionExample example);

    IndustrialAccidentDistribution selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") IndustrialAccidentDistribution record, @Param("example") IndustrialAccidentDistributionExample example);

    int updateByExample(@Param("record") IndustrialAccidentDistribution record, @Param("example") IndustrialAccidentDistributionExample example);

    int updateByPrimaryKeySelective(IndustrialAccidentDistribution record);

    int updateByPrimaryKey(IndustrialAccidentDistribution record);

    List<AccidentDistributionModel> getIndustrialAccidentDistribution();
}